/////////////////////////////////////////////////////////////////////////////
// This file is part of EasyRPG Player.
//
// EasyRPG Player is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// EasyRPG Player is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with EasyRPG Player. If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////

#ifndef _EASYRPG_TIME_HPP_
#define _EASYRPG_TIME_HPP_

////////////////////////////////////////////////////////////
// Headers
////////////////////////////////////////////////////////////
#include "system.h"

////////////////////////////////////////////////////////////
/// Time namespace.
////////////////////////////////////////////////////////////
namespace Time {
	////////////////////////////////////////////////////////
	/// Gets ticks in ms for time measurement
	/// @return time in ms
	////////////////////////////////////////////////////////
	uint32 GetTicks();

	////////////////////////////////////////////////////////
	/// Returns a timestamp based on the current time.
	/// The value could be plattform dependend!
	/// @return current time
	////////////////////////////////////////////////////////
	uint64 GetTimestamp();

	////////////////////////////////////////////////////////
	/// Sleeps some time.
	/// @param time : ms to sleep
	////////////////////////////////////////////////////////
	void Sleep(uint32 time);
}

#endif
