/////////////////////////////////////////////////////////////////////////////
// This file is part of EasyRPG.
//
// EasyRPG is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// EasyRPG is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with EasyRPG Player. If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////

#ifndef _RPG_SAVEINVENTORY_H_
#define _RPG_SAVEINVENTORY_H_

////////////////////////////////////////////////////////////
// Headers
////////////////////////////////////////////////////////////
#include <vector>
#include "reader_types.h"

////////////////////////////////////////////////////////////
/// RPG::SaveInventory class
////////////////////////////////////////////////////////////
namespace RPG {
	class SaveInventory {
	public:
		SaveInventory();
		void Setup();

		int party_size;
		std::vector<int16_t> party;
		int items_size;
		std::vector<int16_t> item_ids;
		std::vector<uint8_t> item_counts;
		std::vector<uint8_t> item_usage;
		int gold;
		int timer1_secs;
		bool timer1_active;
		bool timer1_visible;
		bool timer1_battle;
		int timer2_secs;
		bool timer2_active;
		bool timer2_visible;
		bool timer2_battle;
		int battles;
		int defeats;
		int escapes;
		int victories;
		int unknown_29;
		int steps;
	};
}

#endif
